Redmine - Feature #12909

Drag'n'drop order configuration for statuses, trackers, roles...
2013-01-19 18:36 - Vadim Pushtaev

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.3.0

Resolution: Fixed

Description

| want to configure issue statuses' order on "/issue_statuses" URL using drag'n'drop, not by clicking some arrows and waiting for a
page reload after each click.

If I implement this, will it be accepted?

Related issues:

Related to Redmine - Feature #18858: Custom Fields - Sort/Order Closed
Related to Redmine - Patch #24062: Allow only vertical reorderingin sortable ... Closed
Related to Redmine - Defect #25455: Invalid test in 3.3-stable branch Closed
Related to Redmine - Defect #33350: Rows in Forums tab of project setting are... New

Has duplicate Redmine - Feature #14021: Drag and drop system on custom fields... Closed

Associated revisions

Revision 15273 - 2016-03-20 10:57 - Jean-Philippe Lang

Remove pagination on trackers, roles and issue statuses (#12909).

Revision 15335 - 2016-04-17 08:57 - Jean-Philippe Lang

Replaces acts_as_list with an implementation that handles #position= (#12909).

Objects are reordered using the regular attribute writer #position= and AR callbacks.

Revision 15336 - 2016-04-17 09:40 - Jean-Philippe Lang
Lists can be reordered with drag and drop (#12909).

Revision 15337 - 2016-04-18 19:51 - Jean-Philippe Lang
Forum list can be reordered with drag and drop (#12909).

Revision 15338 - 2016-04-18 20:04 - Jean-Philippe Lang
Deprecates unused stuff (#12909).

Revision 15339 - 2016-04-18 20:38 - Jean-Philippe Lang
Removes #move_to= (#12909).

Revision 15340 - 2016-04-19 19:33 - Jean-Philippe Lang
Restyles the sort handle(#12909).

Revision 15341 - 2016-04-19 19:42 - Jean-Philippe Lang
Adds an ajax indicator on the sort handle (#12909).

Revision 15342 - 2016-04-19 19:45 - Jean-Philippe Lang
Adds a title on the sort handle (#12909).

History

#1 - 2013-01-19 18:42 - Vadim Pushtaev
And of course it should be applied for all other list of the same type.

#2 - 2013-01-21 22:10 - Etienne Massip

Vadim Pushtaev wrote:

| want to configure issue statuses' order on "/issue_statuses" URL using drag'n'drop, not by clicking some arrows and waiting for a page reload
after each click.

If I implement this, will it be accepted?

Depends, need to see the patch =)
If you could write some test that would be great.

#3 - 2016-01-07 08:57 - Go MAEDA

In Redmine 3.2, "Possible values" of key/value list custom fields support drag and drop. It would be great if other screens including "Issue statuses"
also support drag and drop.

#4 - 2016-03-07 07:28 - Takenori TAKAKI
- File drag_drop_ordering_resource_trunk_r15195.patch added

I made a patch. It includes "drag and drop" user interface for the following resources that can change the position.

® issue_statuses
e custom_fields

¢ enumerations

e roles

e trackers

this patch is compatibled with latest trunk 15195. It also includes the test code.

#5 - 2016-03-11 03:22 - Go MAEDA
- File issue-status-drag-and-drop.png added

- Target version set to Candidate for next major release

The patch works fine and really improves Ul.
It would be great if | could see this modern Ul in Redmine 3.3.0.

Issue statuses

Status
1 New
t In Progress
1 Closed
1 Resolved
t Feedback
t Rejected

f &80
[1-6/6)

#6 - 2016-03-14 04:40 - Go MAEDA
- Related to Feature #18858: Custom Fields - Sort/Order added

#7 - 2016-03-16 01:23 - Go MAEDA

Here is a demo animation of Takenori TAKAKI's patch: http://www.redmine.org/attachments/download/15538/drag-and-drop.gif

#8 - 2016-03-20 02:53 - Go MAEDA

- Target version changed from Candidate for next major release to 3.3.0

#9 - 2016-04-19 19:04 - Jean-Philippe Lang
- Subject changed from Drag'n'drop in Issue statuses' order configuration to Drag'n‘drop order configuration

- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

| prefered not to add extra actions for sorting, and get rid of acts_as_list.
From a Ul point of view, the results is the same, and extended to the forum order configuration.

#10 - 2016-05-21 09:08 - Jean-Philippe Lang

- Subject changed from Drag'n'drop order configuration to Drag'n'drop order configuration for statuses, trackers, roles...

#11 - 2016-07-12 00:27 - Go MAEDA

- Has duplicate Feature #14021: Drag and drop system on custom fields, types of issue (administration) and more. added

#12 - 2016-11-26 05:14 - Toshi MARUYAMA
- Related to Patch #24062: Allow only vertical reorderingin sortable lists added

#13 - 2017-03-28 16:49 - Toshi MARUYAMA
- Related to Defect #25455: Invalid test in 3.3-stable branch added

#14 - 2020-05-15 07:50 - Go MAEDA

- Related to Defect #33350: Rows in Forums tab of project setting are not striped according to odd/even rule added

#15 - 2021-01-21 13:00 - Klavs Klavsen

This could be VERY welcome for milestones as well.. Being able to reorder them by doing drag'n'drop - instead of having to change due-date :)

Files
drag_drop_ordering_resource_trunk_r15195.patch 18.1 KB 2016-03-07 Takenori TAKAKI
issue-status-drag-and-drop.png 10.8 KB 2016-03-11 Go MAEDA
